Bind an account to a portfolio
curl --request POST \
--url https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"account_id": "<string>"
}
'import requests
url = "https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/accounts"
payload = { "account_id": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account_id: '<string>'})
};
fetch('https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"portfolio_id": "pf_01J2K7M9N3",
"account_id": "acc_01H8XFK9A",
"matched_account_count": 1
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-07T08:00:01Z"
}
}{
"error": {
"code": "resource_plan_limited",
"message": "This portfolio is retained but unavailable on the Free plan.",
"details": {
"resource_type": "portfolio",
"resource_id": "pf_01J2K7M9N3",
"current_plan": "Free",
"limit": 3,
"upgrade_path": "Plus"
}
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-08T08:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
}
}Portfolios
Bind an account to a portfolio
Requires portfolio:write and Idempotency-Key. global cannot be changed.
POST
/
portfolios
/
{portfolio_id}
/
accounts
Bind an account to a portfolio
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Opaque retry key, unique to the same user, method, and path.
Required string length:
1 - 255Path Parameters
User-created portfolio ID; global cannot be changed.
Body
application/json